/**
 * 学生．
 * ちなみに学生と生徒は意味が違うからね．
 * @author kaiya
 *
 */
public class Student {
	/**
	 * 自身の名前
	 */
	private String name;
	
	/**
	 * 名前を確認する
	 * @return 名前
	 */
	public String getName() {
		return name;
	}

	/**
	 * 出席回数
	 */
	private int attendance=0;
	
	/**
	 * 出席回数を確認する
	 * @return 回数
	 */
	public int getAttendance() {
		return attendance;
	}

	/**
	 * 氏名を設定
	 * @param name 設定される氏名
	 */
	public void setName(String name){
		this.name=name;
	}
	
	/**
	 * 授業に出席したか否かをランダムに決めるメソッド．
	 * まぁ，60%くらいの確率で出席としておこう．
	 */
	public void rollCall(){
		double r = Math.random() * 10;
		if(r>4) attendance++;
	}
}
